### Constructor

# Gtk.GesturePan.new

#### Declaration [src]

    GtkGesture*
    gtk_gesture_pan_new (
      GtkOrientation orientation
    )

#### Description [src]

Returns a newly created `GtkGesture` that recognizes pan gestures.

#### Parameters

`orientation` | `GtkOrientation`
| expected orientation

#### Return value

Returns: `GtkGesture`
a newly created `GtkGesturePan`
Ownership of the data is transferred to the caller